package cn.com.qmth.stmms.biz.mark.query;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.mark.model.ProblemHistory;
import cn.com.qmth.stmms.common.enums.HistoryStatus;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

public class ProblemHistorySearchQuery extends BaseQuery<ProblemHistory> {

    private int examId;

    private String subjectCode;

    private Integer studentId;

    private Integer problemId;

    private String examNumber;

    private String secretNumber;

    private int groupNumber;

    private HistoryStatus status;

    private int userId;

    private String subjectCodeIn;

    public void orderByExamNumber() {
        setSort(new Sort(Direction.ASC, "examNumber"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getProblemId() {
        return problemId;
    }

    public void setProblemId(Integer problemId) {
        this.problemId = problemId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public HistoryStatus getStatus() {
        return status;
    }

    public void setStatus(HistoryStatus status) {
        this.status = status;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(int groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getSubjectCodeIn() {
        return subjectCodeIn;
    }

    public void setSubjectCodeIn(String subjectCodeIn) {
        this.subjectCodeIn = subjectCodeIn;
    }

}
